### Function

# Gimp RunImageFunc

unstable since: 3.0

#### Declaration

    GimpValueArray*
    (* GimpRunImageFunc) (
      GimpProcedure* procedure,
      GimpRunMode run_mode,
      GimpImage* image,
      gint n_drawables,
      GimpDrawable** drawables,
      GimpProcedureConfig* config,
      gpointer run_data
    )

#### Description [src]

The image function is run during the lifetime of the GIMP session, each time a plug-in image procedure is called.

Available since: 3.0

#### Parameters

`procedure`

  Type: `GimpProcedure`

  The `GimpProcedure` that runs.

  The data is owned by the caller of the function.

`run_mode`

  Type: `GimpRunMode`

  The `GimpRunMode`.

`image`

  Type: `GimpImage`

  The `GimpImage`.

  The data is owned by the caller of the function.

`n_drawables`

  Type: `gint`

  The number of `GimpDrawable`-s.

`drawables`

  Type: An array of `GimpDrawable*`

  The input `GimpDrawable`-s.

  The length of the array is specified in the `n_drawables` argument.
  The data is owned by the caller of the function.

`config`

  Type: `GimpProcedureConfig`

  The `procedure`‘s remaining arguments.

  The data is owned by the caller of the function.

`run_data`

  Type: `gpointer`

  The run_data given in gimp_image_procedure_new().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GimpValueArray`

The `procedure`‘s return values.

The caller of the function takes ownership of the data, and is responsible for freeing it.